<?xml version="1.0" encoding="Shift_JIS"?>
<?xml-stylesheet type="text/xsl" href="../Flist.xsl"?>

<root>
    <chapter>
      <title>CNC: Function related to waveform diagnosis</title>
      <tag>Wave</tag>
      <item>
        <fname>cnc_rdwaveprm</fname>
        <fpage>./cnc_rdwaveprm.htm</fpage>
        <explanation>Read waveform diagnosis parameter</explanation>
        <h0ia>O</h0ia>
        <h0ib>O</h0ib>
        <h15b>O</h15b>
        <h15iab>X</h15iab>
        <h16bc>O</h16bc>
        <h16ia>O</h16ia>
        <h16ib>O</h16ib>
        <h16ip>O</h16ip>
        <h16il>O</h16il>
        <h16iw>O</h16iw>
        <h30i>X</h30i>
        <hpmih>X</hpmih>
        <hpmid>X</hpmid>
        <e0ia>X</e0ia>
        <e0ib>O</e0ib>
        <e15b>X</e15b>
        <e15iab>X</e15iab>
        <e16bc>X</e16bc>
        <e16ia>O</e16ia>
        <e16ib>O</e16ib>
        <e16ip>O</e16ip>
        <e16il>O</e16il>
        <e16iw>O</e16iw>
        <e30i>X</e30i>
        <epmih>X</epmih>
        <epmid>X</epmid>
      </item>
      <item>
        <fname>cnc_rdwaveprm2</fname>
        <fpage>./cnc_rdwaveprm2.htm</fpage>
        <explanation>Read waveform diagnosis parameter (2)</explanation>
        <h0ia>O</h0ia>
        <h0ib>O</h0ib>
        <h15b>O</h15b>
        <h15iab>O</h15iab>
        <h16bc>O</h16bc>
        <h16ia>O</h16ia>
        <h16ib>O</h16ib>
        <h16ip>O</h16ip>
        <h16il>O</h16il>
        <h16iw>X</h16iw>
        <h30i>X</h30i>
        <hpmih>X</hpmih>
        <hpmid>X</hpmid>
        <e0ia>X</e0ia>
        <e0ib>O</e0ib>
        <e15b>X</e15b>
        <e15iab>O</e15iab>
        <e16bc>X</e16bc>
        <e16ia>O</e16ia>
        <e16ib>O</e16ib>
        <e16ip>O</e16ip>
        <e16il>O</e16il>
        <e16iw>X</e16iw>
        <e30i>X</e30i>
        <epmih>X</epmih>
        <epmid>X</epmid>
      </item>
      <item>
        <fname>cnc_wrwaveprm</fname>
        <fpage>./cnc_wrwaveprm.htm</fpage>
        <explanation>Write waveform diagnosis parameter</explanation>
        <h0ia>O</h0ia>
        <h0ib>O</h0ib>
        <h15b>O</h15b>
        <h15iab>X</h15iab>
        <h16bc>O</h16bc>
        <h16ia>O</h16ia>
        <h16ib>O</h16ib>
        <h16ip>O</h16ip>
        <h16il>O</h16il>
        <h16iw>O</h16iw>
        <h30i>X</h30i>
        <hpmih>X</hpmih>
        <hpmid>X</hpmid>
        <e0ia>X</e0ia>
        <e0ib>O</e0ib>
        <e15b>X</e15b>
        <e15iab>X</e15iab>
        <e16bc>X</e16bc>
        <e16ia>O</e16ia>
        <e16ib>O</e16ib>
        <e16ip>O</e16ip>
        <e16il>O</e16il>
        <e16iw>O</e16iw>
        <e30i>X</e30i>
        <epmih>X</epmih>
        <epmid>X</epmid>
      </item>
      <item>
        <fname>cnc_wrwaveprm2</fname>
        <fpage>./cnc_wrwaveprm2.htm</fpage>
        <explanation>Write waveform diagnosis parameter (2)</explanation>
        <h0ia>O</h0ia>
        <h0ib>O</h0ib>
        <h15b>O</h15b>
        <h15iab>O</h15iab>
        <h16bc>O</h16bc>
        <h16ia>O</h16ia>
        <h16ib>O</h16ib>
        <h16ip>O</h16ip>
        <h16il>O</h16il>
        <h16iw>X</h16iw>
        <h30i>X</h30i>
        <hpmih>X</hpmih>
        <hpmid>X</hpmid>
        <e0ia>X</e0ia>
        <e0ib>O</e0ib>
        <e15b>X</e15b>
        <e15iab>O</e15iab>
        <e16bc>X</e16bc>
        <e16ia>O</e16ia>
        <e16ib>O</e16ib>
        <e16ip>O</e16ip>
        <e16il>O</e16il>
        <e16iw>X</e16iw>
        <e30i>X</e30i>
        <epmih>X</epmih>
        <epmid>X</epmid>
      </item>
      <item>
        <fname>cnc_wavestart</fname>
        <fpage>./cnc_wavestart.htm</fpage>
        <explanation>Start sampling waveform diagnosis data</explanation>
        <h0ia>O</h0ia>
        <h0ib>O</h0ib>
        <h15b>O</h15b>
        <h15iab>O</h15iab>
        <h16bc>O</h16bc>
        <h16ia>O</h16ia>
        <h16ib>O</h16ib>
        <h16ip>O</h16ip>
        <h16il>O</h16il>
        <h16iw>O</h16iw>
        <h30i>X</h30i>
        <hpmih>X</hpmih>
        <hpmid>X</hpmid>
        <e0ia>X</e0ia>
        <e0ib>O</e0ib>
        <e15b>X</e15b>
        <e15iab>O</e15iab>
        <e16bc>X</e16bc>
        <e16ia>O</e16ia>
        <e16ib>O</e16ib>
        <e16ip>O</e16ip>
        <e16il>O</e16il>
        <e16iw>O</e16iw>
        <e30i>X</e30i>
        <epmih>X</epmih>
        <epmid>X</epmid>
      </item>
      <item>
        <fname>cnc_wavestop</fname>
        <fpage>./cnc_wavestop.htm</fpage>
        <explanation>Stop sampling waveform diagnosis data</explanation>
        <h0ia>O</h0ia>
        <h0ib>O</h0ib>
        <h15b>O</h15b>
        <h15iab>O</h15iab>
        <h16bc>O</h16bc>
        <h16ia>O</h16ia>
        <h16ib>O</h16ib>
        <h16ip>O</h16ip>
        <h16il>O</h16il>
        <h16iw>O</h16iw>
        <h30i>X</h30i>
        <hpmih>X</hpmih>
        <hpmid>X</hpmid>
        <e0ia>X</e0ia>
        <e0ib>O</e0ib>
        <e15b>X</e15b>
        <e15iab>O</e15iab>
        <e16bc>X</e16bc>
        <e16ia>O</e16ia>
        <e16ib>O</e16ib>
        <e16ip>O</e16ip>
        <e16il>O</e16il>
        <e16iw>O</e16iw>
        <e30i>X</e30i>
        <epmih>X</epmih>
        <epmid>X</epmid>
      </item>
      <item>
        <fname>cnc_wavestat</fname>
        <fpage>./cnc_wavestat.htm</fpage>
        <explanation>Read sampling status of waveform diagnosis data</explanation>
        <h0ia>O</h0ia>
        <h0ib>O</h0ib>
        <h15b>O</h15b>
        <h15iab>O</h15iab>
        <h16bc>O</h16bc>
        <h16ia>O</h16ia>
        <h16ib>O</h16ib>
        <h16ip>O</h16ip>
        <h16il>O</h16il>
        <h16iw>O</h16iw>
        <h30i>X</h30i>
        <hpmih>X</hpmih>
        <hpmid>X</hpmid>
        <e0ia>X</e0ia>
        <e0ib>O</e0ib>
        <e15b>X</e15b>
        <e15iab>O</e15iab>
        <e16bc>X</e16bc>
        <e16ia>O</e16ia>
        <e16ib>O</e16ib>
        <e16ip>O</e16ip>
        <e16il>O</e16il>
        <e16iw>O</e16iw>
        <e30i>X</e30i>
        <epmih>X</epmih>
        <epmid>X</epmid>
      </item>
      <item>
        <fname>cnc_rdwavedata</fname>
        <fpage>./cnc_rdwavedata.htm</fpage>
        <explanation>Read waveform diagnosis data</explanation>
        <h0ia>O</h0ia>
        <h0ib>O</h0ib>
        <h15b>O</h15b>
        <h15iab>O</h15iab>
        <h16bc>O</h16bc>
        <h16ia>O</h16ia>
        <h16ib>O</h16ib>
        <h16ip>O</h16ip>
        <h16il>O</h16il>
        <h16iw>O</h16iw>
        <h30i>X</h30i>
        <hpmih>X</hpmih>
        <hpmid>X</hpmid>
        <e0ia>X</e0ia>
        <e0ib>O</e0ib>
        <e15b>X</e15b>
        <e15iab>O</e15iab>
        <e16bc>X</e16bc>
        <e16ia>O</e16ia>
        <e16ib>O</e16ib>
        <e16ip>O</e16ip>
        <e16il>O</e16il>
        <e16iw>O</e16iw>
        <e30i>X</e30i>
        <epmih>X</epmih>
        <epmid>X</epmid>
      </item>
    </chapter>
</root>
